> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a Payout Method

> Add a payout method to the user. Payout method can be one of `paypal`, `venmo`, `ach`, or `cash_app`. Each method has different required parameters.



## OpenAPI

````yaml /v2.yaml put /v2/users/{user_id}/payout-methods
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/users/{user_id}/payout-methods:
    parameters:
      - schema:
          type: string
          format: uuid
        name: user_id
        in: path
        required: true
        description: Id of the user to fetch
    put:
      tags:
        - users
      summary: Add a Payout Method
      description: >-
        Add a payout method to the user. Payout method can be one of `paypal`,
        `venmo`, `ach`, or `cash_app`. Each method has different required
        parameters.
      operationId: add-payout-method
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                platform:
                  type: string
                  enum:
                    - paypal
                    - venmo
                    - cash_app
                    - ach
                  description: Payout platform to add.
                routing_number:
                  type: string
                  description: >-
                    Bank account or Cash App routing number. Required if
                    `platform` = `ach` or `cash_app`.
                account_number:
                  type: string
                  description: >-
                    Bank account or Cash App account number. Required if
                    `platform` = `ach` or `cash_app`.
                account_type:
                  type: string
                  enum:
                    - checking
                    - savings
                  description: Bank account type. Required if `platform` = `ach`.
                email:
                  type: string
                  description: PayPal email address. Required if `platform` = `paypal`.
                phone_number:
                  type: string
                  description: >-
                    Venmo phone number. One of `phone_number` or `handle` is
                    required if `platform` = `venmo`.
                handle:
                  type: string
                  description: >-
                    Venmo handle. One of `phone_number` or `handle` is required
                    if `platform` = `venmo`.
                cash_tag:
                  type: string
                  description: Cash App Cash Tag. Required if `platform` = `cash_app`.
                is_default:
                  type:
                    - boolean
                    - 'null'
                  description: >-
                    When true, the newly added payment method will be set as the
                    user's default payout method.
                auto_payout_enabled:
                  type:
                    - boolean
                    - 'null'
                  description: >-
                    When specified, enables or disables auto payout for this
                    user.
                metadata:
                  description: >-
                    Optional metadata to store with the payout method. Can be
                    any valid JSON value (object, string, number, boolean,
                    array, or null).
              required:
                - platform
            examples:
              Bank Account:
                value:
                  platform: ach
                  routing_number: '123456789'
                  account_number: '123456789'
                  account_type: checking
              PayPal:
                value:
                  platform: paypal
                  email: bob.loblaw@gmail.com
              Venmo:
                value:
                  platform: venmo
                  phone_number: '4158934432'
              Cash App:
                value:
                  platform: cash_app
                  routing_number: '123456789'
                  account_number: '123456789'
                  cash_tag: $cash_tag
              Bank Account with Metadata:
                value:
                  platform: ach
                  routing_number: '123456789'
                  account_number: '123456789'
                  account_type: checking
                  metadata:
                    internal_id: customer_123
                    notes: Primary business account
                    priority: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      ID of the payout method. Returned for `ach`, `crypto`,
                      `payoneer`, and `intl_bank` payout methods.
                  platform:
                    enum:
                      - ach
                      - crypto
                      - paypal
                      - venmo
                      - cash_app
                      - airtm
                      - payoneer
                      - intl_bank
                    type: string
                    description: The type of account to add.
                  handle:
                    type: string
                    description: Handle for Venmo accounts.
                  email:
                    type: string
                    description: Email for PayPal and Payoneer accounts.
                  phone_number:
                    type: string
                    description: Phone number for Venmo accounts.
                  cash_tag:
                    type: string
                    description: Cash tag for Cash App accounts.
                  account_number:
                    type: string
                    description: ACH account number.
                  routing_number:
                    type: string
                    description: ACH routing number.
                  account_type:
                    type: string
                    enum:
                      - checking
                      - savings
                    description: ACH account type, either "checking" or "savings".
                  rtp_enabled:
                    type: boolean
                    description: >-
                      Indicates if RTP is enabled for the payment method
                      (applies to ach only).
                  meta:
                    description: >-
                      Optional metadata stored with the payout method. Can be
                      any valid JSON value (object, string, number, boolean,
                      array, or null).
                required:
                  - platform
              examples:
                ACH:
                  value:
                    id: acc_dfsf983kkjdsf
                    platform: ach
                    account_number: '123456789'
                    routing_number: '123456789'
                    account_type: checking
                Crypto:
                  value:
                    id: crypto_dfsf983kkjdsf
                    platform: crypto
                Payoneer:
                  value:
                    id: payoneer_dfsf983kkjdsf
                    platform: payoneer
                    email: bob.loblaw@gmail.com
                International Bank:
                  value:
                    id: intl_bank_dfsf983kkjdsf
                    platform: intl_bank
components:
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````